Package groovy.ginq.transform

# Annotation Type GQ

@Incubating @Documented @Retention(SOURCE) @Target(METHOD) public @interface GQ
Method annotation to make a method call returning GINQ result

Since:
  4.0.0

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `astWalker`
  Specify the GINQ AST walker to customize GINQ behaviour
  `boolean`
  `optimize`
  Whether to optimize the GINQ AST
  `boolean`
  `parallel`
  Whether to enable parallel querying
  `Class<?>`
  `value`
  Specify the result type

- ## Element Details

  - ### value

    Class<?> value
    Specify the result type
    Default:
      org.apache.groovy.ginq.provider.collection.runtime.Queryable.class

  - ### optimize

    boolean optimize
    Whether to optimize the GINQ AST
    Default:
      true

  - ### parallel

    boolean parallel
    Whether to enable parallel querying
    Default:
      false

  - ### astWalker

    String astWalker
    Specify the GINQ AST walker to customize GINQ behaviour
    Default:
      "org.apache.groovy.ginq.provider.collection.GinqAstWalker"